Bug 119562 - FILESAVE XLSX Resize shape to fit text shape property not preserved
Summary: FILESAVE XLSX Resize shape to fit text shape property not preserved
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.2.0 target:6.1.2
Keywords: filter:xlsx
Depends on:
Blocks:
 
Reported: 2018-08-28 12:31 UTC by Gabor Kelemen
Modified: 2018-09-15 11:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Excel (15.18 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-08-28 12:31 UTC, Gabor Kelemen
Details
The file in Excel and LO 6.2master side by side (131.73 KB, image/png)
2018-08-28 12:33 UTC, Gabor Kelemen
Details
The example file as saved by Calc (17.72 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-08-28 12:33 UTC, Gabor Kelemen
Details
The example file reloaded. The tick mark disappears. (113.14 KB, image/png)
2018-08-28 12:34 UTC, Gabor Kelemen
Details
How it looks on 6.2 (325.07 KB, image/jpeg)
2018-09-15 11:30 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2018-08-28 12:31:03 UTC
Created attachment 144508 [details]
Example file from Excel

LibreOffice Calc can import, but is unable export the “Resize shape to fit text shape” property of shapes. Importing an XLSX saved with Microsoft Excel with this property turned on works fine, but the property is lost when the file is saved as XLSX. The same happens if we create a new shape in an empty spreadsheet with this property turned on.

Steps to reproduce:
    1. Create a new spreadsheet in LibreOffice Calc
    2. Insert a shape by clicking on Insert – Shape – Flowchart – Flowchart: Process
    3. Click with the right mouse button on the shape and choose the “Text” option
    4. Turn on the “Resize shape to fit text” property and click OK
    5. Save the file as XLSX and reload it.

Actual results:
The “Resize shape to fit text” property is lost.

Expected results:
The “Resize shape to fit text” property should be preserved.

LibreOffice details:
Version: 6.2.0.0.alpha0+
Build ID: af579ed7d1482df5cfa7e12e8af2603917d40602
CPU threads: 4; OS: Windows 6.3; UI render: default; 
Locale: hu-HU (hu_HU); Calc: CL
Comment 1 Gabor Kelemen 2018-08-28 12:33:17 UTC
Created attachment 144509 [details]
The file in Excel and LO 6.2master side by side

LO imports correctly the Resize shape to fit text property ("Alakzatok méretezése a szöveghez" in Hungarian Excel)
Comment 2 Gabor Kelemen 2018-08-28 12:33:46 UTC
Created attachment 144510 [details]
The example file as saved by Calc
Comment 3 Gabor Kelemen 2018-08-28 12:34:24 UTC
Created attachment 144511 [details]
The example file reloaded. The tick mark disappears.
Comment 4 Balázs Varga 2018-08-28 13:14:12 UTC
Reproduced

Version: 6.1.0.3
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: hu-HU (hu_HU); Calc: CL

Version: 6.2.0.0.alpha0+
Build ID: 414ef6cb187dd3bbcc917dbedf3c0c1cc8668f60
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-08-20_22:43:18
Locale: hu-HU (hu_HU); Calc: threaded
Comment 5 Commit Notification 2018-08-30 11:03:53 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7626dc2d81dc5eb647d6f8937cc1d220a8b8ef4b

tdf#119562 Fix export of AutoFit property of shapes to XLSX

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-09-14 11:52:29 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=611cc1e609593ed849c760495990578606db7bfe&h=libreoffice-6-1

tdf#119562 Fix export of AutoFit property of shapes to XLSX

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 BogdanB 2018-09-15 11:30:18 UTC
Created attachment 144886 [details]
How it looks on 6.2

How it looks in 6.2.0.0 on Linux.

Version: 6.2.0.0.alpha0+
Build ID: 9a9b81c7212fa6a6762246593acf3f1950677a22
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-09-08_00:00:43
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded